Curses::UI::Dialog::Calendar(3pm)

NAME
Curses::UI::Dialog::Calendar - Create and manipulate calendar dialogs

CLASS HIERARCHY
 Curses::UI::Widget
    |
    +----Curses::UI::Container
            |
            +----Curses::UI::Window
                    |
                    +----Curses::UI::Dialog::Calendar

SYNOPSIS
    use Curses::UI;
    my $cui = new Curses::UI;
    my $win = $cui->add('window_id', 'Window');

    # The hard way.
    # -------------
    my $dialog = $win->add(
        'mydialog', 'Dialog::Calendar'
    );
    $dialog->modalfocus;
    $win->delete('mydialog');
    my $date = $dialog->get();

    # The easy way (see Curses::UI documentation).
    # --------------------------------------------
    $date = $cui->calendardialog();

DESCRIPTION
Curses::UI::Dialog::Calendar is a calendar dialog. This type of dialog can be used to select a date.

See exampes/demo-widgets in the distribution for a short demo.

OPTIONS

•   -title < TEXT >

    Set the title of the dialog window to TEXT.

•   -date < DATE >

    Set the date to start with to DATE. If -date is not defined, today will be used as the startdate.

METHODS

•   new ( OPTIONS )

•   layout ( )

•   draw ( BOOLEAN )

•   focus ( )

•   modalfocus ( )

    These are standard methods. See Curses::UI::Container for an explanation of these.

•   get ( )

    This method will return the date that was selected or undef if no date was selected.

SPECIAL BINDINGS

•   escape

    This will invoke the cancel button, so the calendar dialog returns without selecting any date.

SEE ALSO
Curses::UI, Curses::UI::Container, Curses::UI::Buttonbox

AUTHOR
Copyright (c) 2001-2002 Maurice Makaay. All rights reserved.

Maintained by Marcus Thiesen (marcus@cpan.thiesenweb.de)

This package is free software and is provided "as is" without express or implied warranty. It may be used, redistributed and/or modified under the same terms as perl itself.